=== debian/changelog ===
openssl (1.0.1t-1+deb8u12) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2019-1547:
    Normally in OpenSSL EC groups always have a co-factor present and this is
    used in side channel resistant code paths. However, in some cases, it is
    possible to construct a group using explicit parameters (instead of using a
    named curve). In those cases it is possible that such a group does not have
    the cofactor present. This can occur even where all the parameters match a
    known named curve. If such a curve is used then OpenSSL falls back to
    non-side channel resistant code paths which may result in full key recovery
    during an ECDSA signature operation. In order to be vulnerable an attacker
    would have to have the ability to time the creation of a large number of
    signatures where explicit parameters with no co-factor present are in use
    by an application using libcrypto. For the avoidance of doubt libssl is not
    vulnerable because explicit parameters are never used.
  * Fix CVE-2019-1563:
    In situations where an attacker receives automated notification of the
    success or failure of a decryption attempt an attacker, after sending a
    very large number of messages to be decrypted, can recover a CMS/PKCS7
    transported encryption key or decrypt any RSA encrypted message that was
    encrypted with the public RSA key, using a Bleichenbacher padding oracle
    attack. Applications are not affected if they use a certificate together
    with the private RSA key to the CMS_decrypt or PKCS7_decrypt functions to
    select the correct recipient info to decrypt.

 -- Markus Koschany <apo@debian.org>  Wed, 25 Sep 2019 19:47:32 +0200

openssl (1.0.1t-1+deb8u11) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2019-1559:
    Juraj Somorovsky, Robert Merget and Nimrod Aviram discovered a padding
    oracle attack in OpenSSL.
    If an application encounters a fatal protocol error and then calls
    SSL_shutdown() twice (once to send a close_notify, and once to receive one)
    then OpenSSL can respond differently to the calling application if a 0 byte
    record is received with invalid padding compared to if a 0 byte record is
    received with an invalid MAC. If the application then behaves differently
    based on that in a way that is detectable to the remote peer, then this
    amounts to a padding oracle that could be used to decrypt data.

    In order for this to be exploitable "non-stitched" ciphersuites must be in
    use. Stitched ciphersuites are optimised implementations of certain
    commonly used ciphersuites. Also the application must call SSL_shutdown()
    twice even if a protocol error has occurred (applications should not do
    this but some do anyway). AEAD ciphersuites are not impacted.

 -- Markus Koschany <apo@debian.org>  Fri, 01 Mar 2019 16:25:39 +0100

openssl (1.0.1t-1+deb8u10) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * CVE-2018-0735
    Samuel Weiser reported a timing vulnerability in the OpenSSL ECDSA
    signature generation, which might leak information to recover the
    private key.
  * CVE-2018-5407
    Alejandro Cabrera Aldaya, Billy Brumley, Sohaib ul Hassan, Cesar
    Pereida Garcia and Nicola Tuveri reported a vulnerability to a
    timing side channel attack, which might be used to recover the
    private key.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Nov 2018 19:33:02 +0100

openssl (1.0.1t-1+deb8u9) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-0737:
    Alejandro Cabrera Aldaya, Billy Brumley, Cesar Pereida Garcia and Luis
    Manuel Alvarez Tapia discovered that the OpenSSL RSA Key generation
    algorithm has been shown to be vulnerable to a cache timing side channel
    attack. An attacker with sufficient access to mount cache timing attacks
    during the RSA key generation process could recover the private key.
  * Fix CVE-2018-0732:
    DoS by a malicious server that sends a very large prime value to
    the client during TLS handshake.

 -- Markus Koschany <apo@debian.org>  Sat, 28 Jul 2018 03:44:30 +0200

openssl (1.0.1t-1+deb8u8) jessie-security; urgency=high

  * CVE-2018-0739 (Constructed ASN.1 types with a recursive definition could
    exceed the stack)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 29 Mar 2018 13:18:00 +0200

openssl (1.0.1t-1+deb8u7) jessie-security; urgency=medium

  * Fix CVE-2017-3735.patch

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 02 Nov 2017 12:33:54 +0100

openssl (1.0.1t-1+deb8u6) jessie-security; urgency=medium

  * Fix CVE-2016-8610
  * Fix CVE-2017-3731
  * Fix CVE-2016-7056

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 26 Jan 2017 23:44:23 +0100

openssl (1.0.1t-1+deb8u5) jessie-security; urgency=medium

  * The patch for CVE-2016-2182 was missing a fix.  (Closes: #838652, #838659)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 23 Sep 2016 19:48:42 +0200

openssl (1.0.1t-1+deb8u4) jessie-security; urgency=medium

  * Fix CVE-2016-2177
  * Fix CVE-2016-2178
  * Fix CVE-2016-2179
  * Fix CVE-2016-2180
  * Fix CVE-2016-2181
  * Fix CVE-2016-2182
  * Fix CVE-2016-2183
  * Fix CVE-2016-6302
  * Fix CVE-2016-6303
  * Fix CVE-2016-6304
  * Fix CVE-2016-6306

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 21 Sep 2016 21:58:48 +0200

openssl (1.0.1t-1+deb8u3) jessie; urgency=medium

  [ Kurt Roeckx ]
  * Fix length check for CRLs. (Closes: #826552)

  [ Sebastian Andrzej Siewior ]
  * Enable asm optimisation for s390x. Patch by Dimitri John Ledkov.
    (Closes: #833156).

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 11 Jun 2016 19:18:11 +0200

openssl (1.0.1t-1+deb8u2) jessie; urgency=medium

  * add Update-S-MIME-certificates.patch to update expired certificates to
    pass the test suite

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 11 May 2016 23:22:52 +0200

openssl (1.0.1t-1+deb8u1) jessie; urgency=medium


